GLM_GTX_matrix_decompose
GTX Extensions (Experimental)

Decomposes a model matrix to translations, rotation and scale components. More...

## Functions

template<typename T , precision P>
GLM_FUNC_DECL bool | decompose (tmat4x4< T, P > const &modelMatrix, tvec3< T, P > &scale, tquat< T, P > &orientation, tvec3< T, P > &translation, tvec3< T, P > &skew, tvec4< T, P > &perspective)
| Decomposes a model matrix to translations, rotation and scale components. More...

## Detailed Description

Decomposes a model matrix to translations, rotation and scale components.

<glm/gtx/matrix_decompose.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL bool glm::decompose | ( | tmat4x4< T, P > const & | modelMatrix,
|  | tvec3< T, P > & | scale,
|  | tquat< T, P > & | orientation,
|  | tvec3< T, P > & | translation,
|  | tvec3< T, P > & | skew,
|  | tvec4< T, P > & | perspective
| ) |  |

Decomposes a model matrix to translations, rotation and scale components.

See also
  GLM_GTX_matrix_decompose